Johnson_Ch
Contributor
Contributor

HP Smart Array P420i Firmware Version Help

Hi !

I need to setting the hp smart array P420i controller into HBA Mode (pass-through). I saw the information on the Compatibility list below

VMware Compatibility Guide - I/O Device Search

It seens have a firmware version 6.88-0 (6.88?) what does 0 mean?

I searching the whole HPE download center and did not found it. And I also google any words like p420i and 6.88 but still not found any. It is a version call 6.88 but not for the p420i controller. there is a version called 6.68 is for this controller but not mark support pass-through.

-----------

ReleaseDevice DriverFirmware VersionQueue DepthDriver TypevSAN TypeFeatures
Collapse ESXi 6.7 U3 (vSAN 6.7 Update 3)nhpsa version 2.0.44-1OEM.6706.88-01009asyncAll Flash
Hybrid
View
Feature CategoryFeatures
vSAN CompatibleAll Flash,Hybrid,Pass-Through
ESXi 6.0 U3 (vSAN 6.2 Update 3)hpsa version 6.0.0.114-1OEM6.68N/AasyncAll Flash
Hybrid
View
Feature CategoryFeatures
vSAN CompatibleAll Flash,Hybrid,RAID 0

----------------

it is a mistaken version number?

if there is not can someone tell me how can i download this firmware version  or  provide this version ?

many thanks, i had been look for this version for few days and nights.

7 Replies
TheBobkin
VMware Employee
VMware Employee

Hello Johnson,

Welcome to Communities.

It can be found here (and yes, the "-0" is inconsequential):

https://support.hpe.com/hpsc/swd/public/detail?swItemId=MTX_7cfe159d88de49d084f33d1964#tab-history

As with any such things provided by any hardware vendors, your best start is to check if it is available via their online portals and/or support pages.

Not to be rude but this wasn't difficult to find - I simply googled "nhpsa 6.88 firmware" and the first hit was an advisory that pointed to the above download page.

Bob

0 Kudos
Johnson_Ch
Contributor
Contributor

Hi,thanks for rep。

I had been looking for a lot of fimware download options in the hpe and google.
you can found it what your provide to me is not for P420i 。the driver not include P420i

HBA H240ar, H240nr, H240, H241, H244br, P240nr, P244br, P246br, P440ar, P440, P441, P542D, P741m, P840, P840ar, and P841

0 Kudos
TheBobkin
VMware Employee
VMware Employee

Most vendors use the same LSI/PMC/Adaptec chipset(s) for their range of controllers and thus they use the same driver and firmware sets - it would be a waste of resources and wouldn't make much sense for vendors to develop multiple different lineages of driver and firmware in parallel.

If you really think that HPE release multiple firmware versions all called '6.88' to match the same nhpsa drivers then you are likely overestimating how much confusion they intend to cause and you should contact them to clarify this.

Bob

0 Kudos
Johnson_Ch
Contributor
Contributor

I try to upgrade or downgrade but not work

I also try -e -d -f option (reflash, downgrade, force )

and case error : "Initialize Channel Interface failed"

So the firmware maybe not for the P420i

I don't know why vmware mark the firmware version 6.88 for P420i

I think HPE's information and firmware public is correct for they so many years firmware version public and controls.

0 Kudos
TheBobkin
VMware Employee
VMware Employee

If you are having issues applying that and are concerned that is is not the correct firmware then contact HPE and please let us know their input and what your issue is here.

Bob

0 Kudos
Johnson_Ch
Contributor
Contributor

There are no version 6.88 firmware with P420I or not public.

https://community.hpe.com/t5/ProLiant-Servers-ML-DL-SL/HP-Smart-Array-P420i-Firmware-Help/m-p/706886...

So I don't Know why vmware mark the 6.88 version for this array controller.

0 Kudos
TheBobkin
VMware Employee
VMware Employee

Hello Johnson,

I am currently staring at the certification PR(2391146) for this controller with driver nhpsa 2.0.44-1 and firmware 6.88 (yes the same '6.88' I linked to above - there is only one) - this is the certification testing we went through ourselves following HPE doing their side of the testing and validation and asking us to proceed to do our side and list this driver/firmware combination once we are happy with it.

We did not materialise the firmware used for this testing out of the ether, these were provided by HPE - that HPE does not have good links to this firmware stating 'use it with controller X' is not a problem on VMwares side so please do the due diligence and go ask HPE if you think I am incorrect.

Bob